# Generated by Django 5.1.2 on 2024-10-16 19:54

import django.db.models.deletion
import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("lib", "0002_genericreference_auditlog"),
        ("profiles", "0008_rename_im_handler_teammembership_im_handle"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="team",
            options={"ordering": ("created_on",)},
        ),
        migrations.AlterModelOptions(
            name="teammembership",
            options={"ordering": ("created_on",)},
        ),
        migrations.AddField(
            model_name="team",
            name="created_on",
            field=models.DateTimeField(
                db_index=True, default=django.utils.timezone.now
            ),
        ),
        migrations.AddField(
            model_name="teammembership",
            name="created_on",
            field=models.DateTimeField(
                db_index=True, default=django.utils.timezone.now
            ),
        ),
        migrations.AlterField(
            model_name="taggedmembership",
            name="tag",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="%(app_label)s_%(class)s_items",
                to="lib.tag",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="teammembership",
            unique_together={("team", "user")},
        ),
    ]
